Page MenuHomePhabricator

Article quick facts
Closed, ResolvedPublic

Description

Why are we doing this?

We would like to be able to make it easy for users to access the info box for an article on KaiOS without pushing the content of the article too far down in the view.

User story

As a KaiOS user, I want to see quick facts on the article title page so that I can see a KaiOS friendly infobox

Acceptance criteria

Quick facts clickable button
Separate page that shows infobox content

Proposed designs

Mocks + Zeplin links
Link to Quick facts in article headerQuick facts first pageQuick facts full info box
https://zpl.io/aNn6Bzvhttps://zpl.io/a3d1Q7Nhttps://zpl.io/a7xjKQR
Interaction details
ScreenD-pad centerD-pad up/downD-pad left/rightLSKRSK
Article headerSelects focused linkUp- N/A, Down - Moves to next page in articleCycles through header options (and links if there is no lead image)Returns to search resultsOpens menu
Quick facts table Selects focused linkNavigates up and down through the info box pages (eg. content is paginated)Cycles through links on pageOpens article menuCloses view and returns to last viewed screen
Design details
  • When an info box includes header fields that are links we will need to allow the user to place focus on these fields, however we will still want the to be styled as headers
  • If cell does not have a link do not show focus and do not show the 'select' option as the center software key.
  • Tapping 'select' leads the article to the linked article or Wikipage
Questions
  • How will we support images, sub tables and maps in info boxes and do we want to support them in V1?

Event Timeline

AMuigai created this task.Oct 4 2019, 1:23 PM
Restricted Application added a project: Inuka-Team. · View Herald TranscriptOct 4 2019, 1:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
AMuigai moved this task from Backlog to Q2 on the Inuka-Team board.Oct 4 2019, 2:50 PM
cmadeo updated the task description. (Show Details)Oct 22 2019, 4:58 PM
cmadeo moved this task from Needs design to Ready for approval on the KaiOS-Wikipedia-app board.
AMuigai moved this task from Q2 to Kanban on the Inuka-Team board.Oct 28 2019, 5:13 PM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
SBisson claimed this task.Nov 1 2019, 2:05 PM
SBisson moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.
cmadeo updated the task description. (Show Details)Nov 13 2019, 8:20 PM
SBisson removed SBisson as the assignee of this task.Dec 16 2019, 7:14 PM
SBisson moved this task from Dev to Backlog on the Inuka-Team (Kanban) board.
SBisson added a subscriber: SBisson.

Sending back to the backlog until we have new ideas to try.

cmadeo updated the task description. (Show Details)Dec 19 2019, 5:46 PM
cmadeo added a subscriber: cmadeo.Jan 10 2020, 2:26 PM

Per our meeting:

  • Keep quick facts as top line item
  • Quick facts as table view
  • Try to strip out maps and images when possible
  • Need additional top line items incase there's only one -- plus it's helpful to see what people use
    • Read in another language
    • A gallery view of images
  • For the table we'll do scrolling and determine what the right number of pixels to jump is
SBisson claimed this task.Jan 13 2020, 2:04 PM
SBisson moved this task from Backlog to Dev on the Inuka-Team (Kanban) board.
SBisson moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Jan 20 2020, 7:37 PM
SBisson moved this task from Code Review to Dev on the Inuka-Team (Kanban) board.Jan 21 2020, 2:55 AM
SBisson moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Jan 24 2020, 1:55 AM
hueitan moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Jan 27 2020, 1:10 AM
AMuigai triaged this task as High priority.Feb 10 2020, 1:17 PM
AMuigai closed this task as Resolved.Feb 12 2020, 4:14 PM